{% extends 'base.html' %}
{% load static %}

{% block meta %}

<title>List Hotel</title>
<style>
    td, th {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 8px;
    }

    th {
        font-size: 35px;
    }

    td {
        font-size: 30px;
    }

    h1 {
        margin-top: 100px;
        margin-bottom: 30px;
        text-align: center;
        font-size: 40px;
    }

    a {
        text-decoration: none;
        font-size: 20px;
    }

    button {
        margin-top: 10px;
        width: 120px;
    }
</style>

{% endblock meta %}

{% block content %}

<h1>List Hotel</h1>
<table style="width: 100%;">
    <tr>
        <th>No</th>
        <th>Kode</th>
        <th>Hotel</th>
        <th>Rujukan</th>
        <th>Alamat</th>
        {% if isAdminSistem %}
        <th>Action</th>
        {% endif %}
    </tr>


{% for elem in list_hotel %}
<tr>
    <td>{{forloop.counter}}</td>
    <td>{{elem.0}}</td>
    <td>{{elem.1}}</td>

    {% if elem.2 == '1' %}
    <td><span>&#10003;</span></td>
    {% else %}
    <td><span>&#10005;</span>
    </td>
    {% endif %}
    
    <td>{{elem.3}}</td>
    {% if isAdminSistem %}
    <td>
        <button class='btn-update' value="{{elem.0}}">update</button>
    </td>
    {% endif %}
</tr>

{% endfor %}
</table>

<script
  src="https://code.jquery.com/jquery-3.6.0.js"
  integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk="
  crossorigin="anonymous"
></script>
<script src="{% static 'js/list_hotel.js'%}"></script>

{% endblock content %}